<?php
require_once "header.php"
?>

	<div class="mt-4 mb-4">
		<h1 class="display-4">Paiement</h1>
	</div>

<?php

if ($payment->getValidationStatus() == ValidationStatus::NOT_READY) { ?>
    <div class="alert alert-danger">
        Il faut payer maintenant.
    </div>

    <div class="alert alert-info">
        <form method="POST">
            <label for="method"><strong>Mode de paiement :</strong></label>
            <select class="custom-select" id="method" name="method">
                <?php
                for ($method = PaymentMethod::NOT_PAID; $method <= PaymentMethod::SCHOLARSHIP; ++$method) { ?>
                    <option value="<?= strtolower(PaymentMethod::getName($method)) ?>"><?= PaymentMethod::getTranslatedName($method) ?></option>
                <?php } ?>
            </select>
            <label for="infos"><strong>Informations sur le paiement :</strong></label>
            <textarea class="form-control" name="infos" id="infos"></textarea>
            <label for="scholarship"><strong>Notification de bourse :</strong></label>
            <input type="file" class="form-control" name="scholarship" id="scholarship" />
            <input class="btn btn-primary btn-block" type="submit" name="pay" value="Envoyer" />
        </form>
    </div>
<?php } else if ($payment->getValidationStatus() == ValidationStatus::WAITING) { ?>
    <div class="alert alert-warning">
        Votre paiement est en attente de validation.
    </div>
<?php } else { ?>
    <div class="alert alert-success">
        Votre paiement de <?= $payment->getAmount() ?> a bien été validé.
    </div>
<?php }

require_once "footer.php";